> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get Application Statistics > Retrieves historical statistics for an application including CPU, RAM, traffic, latency, and volume usage over a specified time period. ## OpenAPI ````yaml https://api-mc.opsbunny.net/docs/public/swagger.json get /apps/{appId}/statistics openapi: 3.0.4 info: title: Public API description: 'Public API endpoints for user consumption. Release version: v1.11.1.0' version: '1.0' servers: - url: https://api.bunny.net/mc security: - AccessKey: [] paths: /apps/{appId}/statistics: get: tags: - Applications summary: Get Application Statistics description: >- Retrieves historical statistics for an application including CPU, RAM, traffic, latency, and volume usage over a specified time period. operationId: GetApplicationStatistics parameters: - name: appId in: path required: true schema: type: string - name: fromDate in: query required: true schema: type: string format: date-time example: '2025-01-01T00:00:00Z' - name: toDate in: query schema: type: string format: date-time example: '2025-01-31T23:59:59Z' - name: granularity in: query required: true schema: $ref: '#/components/schemas/DataGranularity' example: Hourly responses: '200': description: Application statistics was successfully retrieved. content: application/json: schema: $ref: '#/components/schemas/Statistics' '400': description: Invalid input. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '401': description: User is unauthorized. content: application/json: schema: $ref: '#/components/schemas/ProblemDetails' '404': description: Application is not found. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '500': description: Unexpected server error. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' deprecated: true components: schemas: DataGranularity: enum: - Daily - Hourly - Minute type: string Statistics: type: object properties: targetLatencyChart: type: object additionalProperties: type: number format: double activeRegionsChart: type: object additionalProperties: type: integer format: int64 nullable: true latencyChart: type: object additionalProperties: type: number format: double instancesChart: type: object additionalProperties: type: integer format: int64 nullable: true cpuUsageChart: type: object additionalProperties: type: number format: double ramUsageChart: type: object additionalProperties: type: number format: double trafficChart: type: object additionalProperties: type: number format: double volumesSplitUsageChart: type: object additionalProperties: type: object additionalProperties: type: number format: double volumesSplitCapacityChart: type: object additionalProperties: type: object additionalProperties: type: number format: double volumesUsageChart: type: object additionalProperties: type: number format: double volumesCapacityChart: type: object additionalProperties: type: number format: double additionalProperties: false ErrorDetails: type: object properties: title: type: string description: A short, human-readable summary of the problem type. readOnly: true status: type: integer description: The HTTP status code. format: int32 readOnly: true detail: type: string description: >- A human-readable explanation specific to this occurrence of the problem. nullable: true readOnly: true instance: type: string description: >- A URI reference that identifies the specific occurrence of the problem. nullable: true readOnly: true errors: type: array items: $ref: '#/components/schemas/ValidationError' description: Additional validation errors for field-specific issues. nullable: true readOnly: true id: type: string description: >- The application ID, returned as an RFC 7807 extension field when relevant (e.g. partial save errors). Matches the "id" field from successful create response for consistency. nullable: true readOnly: true additionalProperties: false description: RFC 7807 Problem Details response model. ProblemDetails: type: object properties: type: type: string nullable: true title: type: string nullable: true status: type: integer format: int32 nullable: true detail: type: string nullable: true instance: type: string nullable: true additionalProperties: {} ValidationError: required: - message type: object properties: field: type: string nullable: true message: type: string additionalProperties: false securitySchemes: AccessKey: type: apiKey description: Please enter a valid personal API key. name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.